%define upstream_name    Image-Info
%define upstream_version 1.36
%define subrel 1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Extract meta information from image files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Image/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Image-Info-1.36-CVE-2016-9181.patch

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Extract meta information from image files.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files 
%doc CHANGES CREDITS META.yml MYMETA.yml README SIGNATURE TODO
%{perl_vendorlib}/Image
%{perl_vendorlib}/Bundle/Image
%{_mandir}/*/*


%changelog
* Fri May 12 2017 sander85 <sander85> 1.360.0-4.1.mga5
+ Revision: 1100615
- Fix CVE-2016-9181

  + neoclust <neoclust>
    - New version 1.38
    - Add P0: Fix CVE-2016-9180

* Wed Oct 15 2014 umeabot <umeabot> 1.360.0-4.mga5
+ Revision: 743981
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.360.0-3.mga5
+ Revision: 685121
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 1.360.0-2.mga4
+ Revision: 537242
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.360.0-1.mga4
+ Revision: 486638
- update to 1.36

* Fri Jun 07 2013 jquelin <jquelin> 1.350.0-1.mga4
+ Revision: 439440
- update to 1.35

* Sun Jan 13 2013 umeabot <umeabot> 1.330.0-2.mga3
+ Revision: 368735
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1.330.0-1.mga3
+ Revision: 315118
- update to 1.33

* Thu Feb 23 2012 jquelin <jquelin> 1.320.0-1.mga2
+ Revision: 212969
- update to 1.32

* Sun Jan 23 2011 jquelin <jquelin> 1.310.0-1.mga1
+ Revision: 33879
- mageia rebuild
- imported package perl-Image-Info

